from practicum import findDevices
from peri import PeriBoard
from time import sleep

devs = findDevices()

if len(devs) == 0:
    print "*** No MCU board found."
    exit(1)

b = PeriBoard(devs[0])
print "*** MCU board found"
print "*** Device manufacturer: %s" % b.getVendorName()
print "*** Device name: %s" % b.getDeviceName()

count = 0
while True:
    sleep(1)
    sw0 = b.getSwitch0()

    if sw0 is True:
        print "PRESSED0"
    else:
        state = "RELEASED0"
    sw1 = b.getSwitch1()

    if sw1 is True:
        print "PRESSED1"
    else:
        state = "RELEASED1"
    sw2 = b.getSwitch2()

    if sw2 is True:
        print "PRESSED2"
    else:
        state = "RELEASED2"
    sw3 = b.getSwitch3()

    if sw3 is True:
        print "PRESSED3"
    else:
        state = "RELEASED3"
